CREATE TABLE IF NOT EXISTS `#__docebo_general_settings` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`cloud_address` VARCHAR(255)  NOT NULL ,
`api_key` VARCHAR(255)  NOT NULL ,
`key` VARCHAR(255)  NOT NULL ,
`sso` VARCHAR(255)  NOT NULL ,
`scenario` tinyint(1) NOT NULL DEFAULT '1',
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;



CREATE TABLE IF NOT EXISTS `#__docebo_mycourses` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`no_of_course` INT(11)  NOT NULL DEFAULT '10',
`width` INT(3)  NOT NULL DEFAULT '230',
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;


CREATE TABLE IF NOT EXISTS `#__docebo_single_sign_on` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,

`box_title` VARCHAR(255)  NOT NULL DEFAULT 'COM_DOCEBO_FORM_LBL_SINGLESIGNON_BOX_TITLE',
`intro_text` TEXT NOT NULL ,
`box_width` VARCHAR(255)  NOT NULL DEFAULT '300',
`box_height` VARCHAR(255)  NOT NULL DEFAULT '180',
`sso_button_text` VARCHAR(255)  NOT NULL DEFAULT 'SIGN IN',
`button_position` VARCHAR(255)  NOT NULL ,
`show_courses_you_are_enrolled_in` VARCHAR(255)  NOT NULL ,
`show_last_attended_course` VARCHAR(255)  NOT NULL ,
`text_color` VARCHAR(255)  NOT NULL DEFAULT '#333333',
`title_color` VARCHAR(255)  NOT NULL DEFAULT '#333333',
`border_color` VARCHAR(255)  NOT NULL DEFAULT '#333333',
`background_color` VARCHAR(255)  NOT NULL DEFAULT '#ffffff',
`use_box_shadow` VARCHAR(255)  NOT NULL ,
`button_background_color` VARCHAR(255)  NOT NULL DEFAULT '#333333',
`button_border_color` VARCHAR(255)  NOT NULL DEFAULT '#333333',
`button_text_color` VARCHAR(255)  NOT NULL DEFAULT '#ffffff',
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;


CREATE TABLE IF NOT EXISTS `#__docebo_login` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`logo` VARCHAR(255)  NOT NULL ,
`use_logo` BOOLEAN  NOT NULL ,
`intro_text` VARCHAR(200) NOT NULL ,
`box_width` VARCHAR(3)  NOT NULL ,
`box_height` VARCHAR(3)  NOT NULL ,
`login_button_text` VARCHAR(20)  NOT NULL ,
`button_position` VARCHAR(255)  NOT NULL ,
`text_color` VARCHAR(7)  NOT NULL ,
`border_color` VARCHAR(7)  NOT NULL ,
`background_color` VARCHAR(7)  NOT NULL ,
`use_box_shadow` VARCHAR(255)  NOT NULL ,
`button_background_color` VARCHAR(7)  NOT NULL ,
`button_border_color` VARCHAR(7)  NOT NULL ,
`button_text_color` VARCHAR(7)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

INSERT INTO `#__docebo_login` (
`id` ,
`logo` ,
`use_logo` ,
`intro_text` ,
`box_width` ,
`box_height` ,
`login_button_text` ,
`button_position` ,
`text_color` ,
`border_color` ,
`background_color` ,
`use_box_shadow` ,
`button_border_color` ,
`button_text_color` ,
`button_background_color`
)
VALUES (
NULL , '', '0', 'Login', '250', '200', 'Log In', '', '', '', '', '', '', '', ''
);


INSERT INTO `#__docebo_mycourses` (`id`, `no_of_course`, `width`) VALUES
(1, 10, 200);


INSERT INTO `#__docebo_single_sign_on` (`id`, `box_title`, `intro_text`, `box_width`, `box_height`, `sso_button_text`, `button_position`, `show_courses_you_are_enrolled_in`, `show_last_attended_course`, `text_color`, `title_color`, `border_color`, `background_color`, `use_box_shadow`, `button_background_color`, `button_border_color`, `button_text_color`) VALUES
(1, 'Courses you are enrolled in', '', '300', '180', 'SIGN IN', '', '0', '0', '#333333', '#333333', '#333333', '#ffffff', '0', '#333333', '#333333', '#ffffff');